Supported Browsers

Catalytic works on most modern browsers and supports many browser versions to avoid any problems accessing or using Catalytic. We support the following browsers:

Browser Minimum Version
Chrome 66+
Firefox 52+
Safari 11+
Internet Explorer 11+
Microsoft Edge 15+